# OpenACS Bug Tracker
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](https://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](https://www.project-open.com/en/list-installers)

About OpenACS Bug Tracker:

<p><a href="/en/package-bug-tracker#references">References</a>&shy; <p>Original Text by Lars Pind <p> Development will focus on getting a working version up and running within about a week and a half, and then have a product that we can incrementally improve on as we have the time and need. <h3>Scenarios </h3><h4>Scenario 1: Tom finds a bug </h4><h4>Scenario 2: Jack maintains a package </h4><p> Later, he visits bug-tracker, and is greeted with a list of bugs he&#39;s assigned to. Phew. Then he checks the activity report for the past week for the bugs he&#39;s the maintainer of, whether assigned to them or not, to see if bugs are getting closed or if they&#39;re piling up. He decides it&#39;s time to go squash some bugs. He goes back to the &quot;my bugs&quot; list, which is already sorted by priority, then user rating (user rating is going to be in a later version), then date of entry (descending). Clicks the first, fixes, then hits &quot;Next&quot;, fixes, then hits &quot;Next&quot;, fixes ... <h4>Other Scenarios </h4><ul><li>Janis is looking at a CVS log entry, which contains a reference to ticket #819. She visits the bug-tracker for the project and enters the number in the &quot;look up by #&quot; input field to view the bug. </ul><h3>Differences from SDM </h3><ul><li>Different terminology: The bug-tracker will say &quot;project&quot; for the top-level, releasable chunk of code, what is now called a &quot;package&quot; in the SDM. The unit below that is today called a &quot;module&quot; in the SDM, but will be called a &quot;component&quot; in the bug-tracker. Why? Project definitely makes more sense than &quot;package&quot;, especially given that package is also used about APM packages. Maybe there&#39;s no good reason to change module to component, but component is what BugZilla uses, and it sounds more appropriate to me. Feedback is in order. <li>One SDM instance per project: The front page of the bug-tracker will show the list of open bugs for this project, not just a list of projects to choose from. <li>More status codes: A bug can be resolved in many ways: Not a bug, not reproducible, by design, etc. <li>More types of relationships between bugs: Duplicates, depends on/blocks, side-effect of fix to other bug (not in initial version) <li>Filters: Filters a&#39; la FogBUGZ that lets you define and save your own views (deferred to a later version). <li>Estimates: Original estimate, latest estimate, time spent so far. (not in initial version) <li>Severity, type of ticket, and other status codes are fully configurable, and you can even add your own types of codes. </ul><h3>Deferred features </h3><ul><li>One system-wide &quot;my tasks&quot; list: We&#39;ll build a separate &quot;task list&quot; application at some later point, and see how the two should be naturally integrated. <li>Ratings: They&#39;re not really used today. When we do reintroduce them, we&#39;re going to make sure they have impact over how bugs are prioritized. <li>Custom-defined filters: We&#39;ll try to get the &quot;engine&quot; in place, but we won&#39;t bother with implementing the UI for defining new ones just now. Soon, though. <li>Patches: This is a must-have, but not for the initial release. <li>We&#39;re not going to use workflow. We want the UI to be just right, so we won&#39;t let workflow get in the way. We do want to use this bug-tracker as a prime driver for getting ACS workflow finsihed, the way it was originally intended to. <li>We&#39;re not going to let you define your own status, resolution, or other codes, because integrating custom codes with the UI is hard, and we emphasize usability over flexibility in this release. <li>We&#39;re not going to include triage (before-resolution) or QA (after-resolution) steps in the workflow. </ul><h3>Non goals </h3><ul><li>It&#39;s not going to be a general-purpose ticket-tracker. We&#39;ll write a separate instrument for that later, but hopefully we can reuse key ideas, and factor out some common underpinnings. </ul><h3>Page Flowchart </h3><p><img alt="Bug-tracker page flowchart" border="0" height="276" src="https://project-open.net:8000/doc/bug-tracker/flowchart.jpg" width="482" /><h3>Workflow (A Bug&#39;s Life) </h3><ul><li>Open <li>Resolved <li>Closed </ul><p><img alt="Workflow for bug-tracker" border="0" height="218" src="https://project-open.net:8000/doc/bug-tracker/workflow.jpg" width="338" /><p> We will not, in this version, bother with triage and QA steps. The submitter of a bug is also the person to close that bug. The maintainer of the project or component is the first assignee, and takes it from there. There is no unassigned state. <p> BugZilla has <a href="https://bugzilla.mozilla.org/bug_status.html">many more status codes</a>. For example they have a confirmation step, in which it&#39;s checked that the bug is &quot;a true bug&quot;. They have a status to say that the bug has been assigned. They have a special &quot;reopened&quot; step. And they have a &quot;Verified&quot; step, and only allow the bug in &quot;Closed&quot; when the release in which the bug has been fixed has actually shipped. We won&#39;t go there in this version of the bug-tracker. <p> The RESOLUTION code to one of the following: <ul><li>Fixed <li>By design <li>Won&#39;t fix <li>Postponed <li>Duplicate <li>Not reproducable </ul><h3>Other Bug Classifications </h3><h4>Type of bug (hard-coded) </h4><ul><li>Bug <li>Suggestion (coming from the outside) <li>To do (a developer to himself) </ul><h4>Severity (can be modified) </h4><ul><li>Critical <li>Major <li>Normal <li>Minor <li>Trivial <li>Enhancement </ul><h4>Priority (can be modified) </h4><ul><li>High <li>Medium <li>Low </ul><h3>Pages </h3><h4>Main Navigation </h4><ul><li>List: Defaults to the last list shown this session, or to &quot;My Bugs&quot;) <li>New Bug: Submit a new bug report <li>Search: Opens up a search form <li>Filters: Define filters <li>Patches: List patches, review and approve. <li>Prefs: User preferences, e.g. notification, etc. <li>Project admin: Setup the project (if you&#39;re an administrator) <li>Go to bug # </ul><h4>Index page: Ticket list </h4><a href="https://project-open.net:8000/doc/bug-tracker/mockup-index">Mock-up</a><p> The index page of the package is the ticket list page. The ticket list page displays a list of tickets in a combination of <a href="https://www.google.com/search?q=ticket%20list">Google style</a> and webmail style, i.e., each bug is displayed like this: <p><p> It&#39;s Google, because each bug takes up several lines, and information is shown &quot;organically&quot; for each bug. It&#39;s webmail, because each bug has a checkbox next to it, which can be used for bulk operations. <p> Tickets are shown 20/50/100/200 per page, and you can page browse through them like in a typical web mail interface. <p> Predefined filters include: &quot;My bugs&quot;, &quot;Open bugs in the current version&quot;, &quot;All bugs in my version&quot;, &quot;Open bugs that I&#39;m the maintainer of&quot;, etc. <p> You can enter what version you&#39;re using, so that it defaults to that version when you&#39;re entering bugs and searching for known bugs. The version you&#39;ve selected will be displayed very clearly on each page. <p> The ticket list page can be scoped to one component. The contents will look just the same and you can use the same filters, only everything will be scoped to the component you selected. When you submit a bug from inside a component level, the component name is already filled out and cannot be changed. <h4>Enter New Ticket </h4><h4>View Ticket </h4><h4>Upload Patch </h4><h4>Patch List </h4><h4>Search </h4><h4>User Preferences </h4><h4>Project Administration </h4><h4>Define Filters </h4><a name="references"></a>

# Online Reference Documentation

